Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.ScimConfiguration.UpdateAsync(
            id: "id",
            request: new UpdateScimConfigurationRequestContent {
                UserIdAttribute = "user_id_attribute",
                Mapping = new List<ScimMappingItem>(){
                    new ScimMappingItem(),
                }

            }
        );
    }

}
{
  "connection_id": "<string>",
  "connection_name": "<string>",
  "strategy": "<string>",
  "tenant_name": "<string>",
  "user_id_attribute": "<string>",
  "mapping": [
    {
      "auth0": "<string>",
      "scim": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_on": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to update its SCIM configuration

Body

user_id_attribute
string
required

User ID attribute for generating unique user ids

mapping
object[]
required

The mapping between auth0 and SCIM

Response

The connection's SCIM configuration was updated. See Response Schemas for schema.

connection_id
string
required

The connection's identifier

connection_name
string
required

The connection's name

strategy
string
required

The connection's strategy

tenant_name
string
required

The tenant's name

user_id_attribute
string
required

User ID attribute for generating unique user ids

mapping
object[]
required

The mapping between auth0 and SCIM

created_at
string<date-time>
required

The ISO 8601 date and time the SCIM configuration was created at

updated_on
string<date-time>
required

The ISO 8601 date and time the SCIM configuration was last updated on